import { useMainContext } from "../../layout/MainProvider";
import CourseList from "../components/CourseList";
import FilterSection from "../components/FilterSection";

export function AllCoursesLayout() {
	const { searchValue, setSearchValue } = useMainContext();
	return (
		<>
			<div className="min-h-screen bg-gray-50">
				<div className=" flex">
					<div className="w-1/6">
						<FilterSection></FilterSection>
					</div>
					<div className="w-5/6 p-4">
						<CourseList
							cols={4}
							params={{
								page: 1,
								pageSize: 12,
							}}></CourseList>
					</div>
				</div>
			</div>
		</>
	);
}
export default AllCoursesLayout;
